Skip to main content
GET
/
companies
/
{id}
/
related-persons
/
{personId}
/
applications
/
{applicationId}
Get related person application by ID
curl --request GET \
  --url https://api.rnbi.magent.finance/companies/{id}/related-persons/{personId}/applications/{applicationId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Reap-Version: <reap-version>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "relatedPersonId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "INITIATED",
  "sessionUrl": "<string>",
  "expiresAt": "<string>",
  "createdAt": "<string>",
  "updatedAt": "<string>"
}

Authorizations

Authorization
string
header
required

API key as Bearer token

Headers

Reap-Version
enum<string>
required

API version (YYYY-MM-DD)

Available options:
2025-02-14

Path Parameters

id
string<uuid>
required

Company identifier

personId
string<uuid>
required

Related person identifier

applicationId
string<uuid>
required

Application identifier

Response

Related person application details

id
string<uuid>
required

Unique application identifier

companyId
string<uuid>
required

Company this application belongs to

Related person this application belongs to

status
enum<string>
required

Application lifecycle status

Available options:
INITIATED,
IN_PROGRESS,
APPROVED,
REJECTED,
REVIEW_REQUIRED,
WORKFLOW_ERROR,
EXPIRED
sessionUrl
string | null
required

URL for the person to complete KYC verification

expiresAt
string | null
required

When the verification session URL expires (ISO 8601)

createdAt
string
required

When the application was created (ISO 8601)

updatedAt
string
required

When the application was last updated (ISO 8601)